{% if subdomain_rewrites is defined %}
{%   for sub, epi in subdomain_rewrites.items() %}
if ($http_host ~ "^{{ sub }}\.") {
    set $project_id {{ epi }};
}
{%   endfor %}
if ($http_host !~ "^({% for sub, epi in subdomain_rewrites.items() %}{{ sub }}{% if not loop.last %}|{% endif %}{% endfor %})\.") {
    rewrite ^(.*)$ https://{{ domain }} permanent;
}
{% endif %}
